- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QAccessibleEditableTextInterface Class Reference

Search for all occurrences

## Detailed Description

Definition at line 137 of file qaccessible2.h.

`#include <qaccessible2.h>`

Inheritance diagram for QAccessibleEditableTextInterface:
[legend]

List of all members.

## Public Member Functions
QAccessible2Interface * | qAccessibleEditableTextCastHelper ()
virtual | ~QAccessibleEditableTextInterface ()
virtual void | copyText (int startOffset, int endOffset)=0
virtual void | deleteText (int startOffset, int endOffset)=0
virtual void | insertText (int offset, const QString &text)=0
virtual void | cutText (int startOffset, int endOffset)=0
virtual void | pasteText (int offset)=0
virtual void | replaceText (int startOffset, int endOffset, const QString &text)=0
virtual void | setAttributes (int startOffset, int endOffset, const QString &attributes)=0

## Constructor & Destructor Documentation

virtual ~QAccessibleEditableTextInterface | ( |  | ) | `[inline, virtual]`

Definition at line 142 of file qaccessible2.h.

    {}

## Member Function Documentation

QAccessible2Interface* qAccessibleEditableTextCastHelper | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 140 of file qaccessible2.h.

    { return this; }

virtual void copyText | ( | int | startOffset,
|  | int | endOffset
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleSimpleEditableTextInterface.

virtual void deleteText | ( | int | startOffset,
|  | int | endOffset
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleSimpleEditableTextInterface.

virtual void insertText | ( | int | offset,
|  | const QString & | text
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleSimpleEditableTextInterface.

virtual void cutText | ( | int | startOffset,
|  | int | endOffset
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleSimpleEditableTextInterface.

virtual void pasteText | ( | int | offset | ) | `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleSimpleEditableTextInterface.

virtual void replaceText | ( | int | startOffset,
|  | int | endOffset,
|  | const QString & | text
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleSimpleEditableTextInterface.

virtual void setAttributes | ( | int | startOffset,
|  | int | endOffset,
|  | const QString & | attributes
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleSimpleEditableTextInterface.

The documentation for this class was generated from the following file:

- QtGui/qaccessible2.h

QAccessibleEditableTextInterface QAccessibleEditableTextInterface QAccessibleEditableTextInterface QAccessibleEditableTextInterface QAccessibleEditableTextInterface QAccessibleEditableTextInterface QAccessibleEditableTextInterface QAccessibleEditableTextInterface QAccessibleEditableTextInterface QAccessibleEditableTextInterface
QAccessibleEditableTextInterface QAccessibleEditableTextInterface QAccessibleEditableTextInterface QAccessibleEditableTextInterface QAccessibleEditableTextInterface QAccessibleEditableTextInterface QAccessibleEditableTextInterface QAccessibleEditableTextInterface QAccessibleEditableTextInterface QAccessibleEditableTextInterface